%define momorel 1
%define ver 3.81

Summary: Network exploration tool and security scanner
Name: nmap
Version: %{ver}
Release: %{momorel}m
License: GPL
Group: Applications/System
%NoSource 0 http://www.insecure.org/nmap/dist/%{name}-%{ver}.tar.bz2 0713306dda85aee2c95ef31b4b7d2838
URL: http://www.insecure.org/nmap/
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildPreReq: gtk+1-devel
BuildPreReq: gcc-c++ >= 3.4.1-1m

%description
Nmap is a utility for network exploration or security auditing. It
supports ping scanning (determine which hosts are up), many port
scanning techniques (determine what services the hosts are offering),
and TCP/IP fingerprinting (remote host operating system
identification). Nmap also offers flexible target and port
specification, decoy scanning, determination of TCP sequence
predictability characteristics, sunRPC scanning, reverse-identd
scanning, and more.

%package frontend
Summary: Gtk+ frontend for nmap
Group: Applications/System
Requires: %{name} = %{version}-%{release}

%description frontend
This package includes nmapfe, a Gtk+ frontend for nmap. The nmap package must
be installed before installing nmap-frontend.

%prep
%setup -q -n %{name}-%{ver}

%build
%configure
%make

%install
rm -rf %{buildroot}
%makeinstall nmapdatadir=%{buildroot}%{_datadir}/nmap

%post frontend
rm -f %{_bindir}/xnmap
ln -s nmapfe %{_bindir}/xnmap

%postun frontend
rm -f %{_bindir}/xnmap

%clean
rm -rf %{buildroot}

%files 
%defattr(-,root,root)
%doc CHANGELOG COPYING* HACKING docs
%{_bindir}/nmap
%{_datadir}/nmap
%{_mandir}/man1/nmap.1*

%files frontend
%defattr(-,root,root)
%{_bindir}/nmapfe
%{_bindir}/xnmap
%{_datadir}/applications/nmapfe.desktop
%{_mandir}/man1/xnmap.1*
%{_mandir}/man1/nmapfe.1*

%changelog
* Tue Feb  8 2005 Kazuhiko <kazuhiko@fdiary.net>
- (3.81-1m)
- minor feature enhancements

* Mon Feb  7 2005 Kazuhiko <kazuhiko@fdiary.net>
- (3.80-1m)
- minor bugfixes

* Sun Nov  7 2004 Kazuhiko <kazuhiko@fdiary.net>
- (3.76-1m)
- version up

* Mon Sep 27 2004 Hiroyuki Koga <kuma@momonga-linux.org>
- (3.70-2m)
- rebuild against gcc-c++-3.4.1
- add BuildPrereq: gcc-c++

* Wed Sep  1 2004 Kazuhiko <kazuhiko@fdiary.net>
- (3.70-1m)
- major feature enhancements

* Wed Jul  7 2004 Kazuhiko <kazuhiko@fdiary.net>
- (3.55-1m)
- minor feature enhancements

* Wed Jan 21 2004 Kazuhiko <kazuhiko@fdiary.net>
- (3.50-1m)

* Wed Oct 15 2003 Kazuhiko <kazuhiko@fdiary.net>
- (3.48-1m)
- major feature enhancements

* Wed Sep 24 2003 Motonobu Ichimura <famao@momonga-linux.org>
- (3.46-1m)
- version 3.46

* Wed Sep 17 2003 Kazuhiko <kazuhiko@fdiary.net>
- (3.45-1m)
- major feature enhancements

* Sat Jul 19 2003 Kazuhiko <kazuhiko@fdiary.net>
- (3.30-2m)
- rebuild against glibc-2.3.2                               

* Fri Jul  4 2003 Kazuhiko <kazuhiko@fdiary.net>
- (3.30-1m)
- major feature enhancements

* Tue Jun 17 2003 Kazuhiko <kazuhiko@fdiary.net>
- (3.28-1m)
- major bugfixes

* Tue Apr 29 2003 Kazuhiko <kazuhiko@fdiary.net>
- (3.27-1m)
- major bugfixes

* Wed Apr 23 2003 Kazuhiko <kazuhiko@fdiary.net>
- (3.25-1m)
- minor feature enhancements

* Thu Mar 20 2003 Kazuhiko <kazuhiko@fdiary.net>
- (3.20-1m)

* Tue Mar 18 2003 Kazuhiko <kazuhiko@fdiary.net>
- (3.15-0.3.1m)
- 3.15BETA3

* Sat Mar  8 2003 Kazuhiko <kazuhiko@fdiary.net>
- (3.15-0.2.1m)
- 3.15BETA2

* Sat Aug  3 2002 Kazuhiko <kazuhiko@fdiary.net>
- (3.00-1m)

* Mon Jul 29 2002 Kazuhiko <kazuhiko@fdiary.net>
- (2.99-0.0002001m)
- 2.99RC2
- minor bugfixes

* Sun Jul 21 2002 Kazuhiko <kazuhiko@fdiary.net>
- (2.99-0.0001001m)
- 2.99RC1

* Sun Jul 14 2002 Kazuhiko <kazuhiko@fdiary.net>
- (2.54-0.0037001m)
- 2.54BETA37
- add 'BuildPreReq: gtk+1-devel'
- add more documents to %doc

* Tue Jul  2 2002 Kazuhiko <kazuhiko@fdiary.net>
- (2.54-0.0036Om001m)
- 2.54BETA36

* Wed May  8 2002 Kazuhiko <kazuhiko@kondara.org>
- (2.54-0.0034002k)
- 2.54BETA34

* Mon Apr 29 2002 Kazuhiko <kazuhiko@kondara.org>
- (2.54-0.0033002k)
- 2.54BETA33

* Wed Apr 10 2002 Kazuhiko <kazuhiko@kondara.org>
- (2.54-0.0032002k)
- 2.54BETA32

* Wed Jan 23 2002 Kazuhiko <kazuhiko@kondara.org>
- (2.54-0.0030002k)
- 2.54BETA30
- Kondarize

* Thu Dec 30 1999 Fyodor <fyodor@insecure.org>
- Updated description
- Eliminated source1 (nmapfe.desktop) directive and simply packaged it with Nmap
- Fixed nmap distribution URL (source0)
- Added this .rpm to base Nmap distribution

* Mon Dec 13 1999 Tim Powers <timp@redhat.com>
- based on origional spec file from
	http://www.insecure.org/nmap/index.html#download
- general cleanups, removed lots of commenrts since it made the spec hard to
	read
- changed group to Applications/System
- quiet setup
- no need to create dirs in the install section, "make
	prefix=%{buildroot}&{prefix} install" does this.
- using defined %{prefix}, %{version} etc. for easier/quicker maint.
- added docs
- gzip man pages
- strip after files have been installed into buildroot
- created separate package for the frontend so that Gtk+ isn't needed for the
	CLI nmap 
- not using -f in files section anymore, no need for it since there aren't that
	many files/dirs
- added desktop entry for gnome

* Sun Jan 10 1999 Fyodor <fyodor@dhp.com>
- Merged in spec file sent in by Ian Macdonald <ianmacd@xs4all.nl>

* Tue Dec 29 1998 Fyodor <fyodor@dhp.com>
- Made some changes, and merged in another .spec file sent in
  by Oren Tirosh <oren@hishome.net>

* Mon Dec 21 1998 Riku Meskanen <mesrik@cc.jyu.fi>
- initial build for RH 5.x
